Processing
Options
Usage
MagickWand
MagickCore
PerlMagick
Magick++
Unix
Windows
Unix
Mac OS X
Windows
Links

## AverageImages

AverageImages() takes a set of images and averages them together. Each image in the set must have the same width and height. AverageImages() returns a single image with each corresponding pixel component of each image averaged. On failure, a NULL image is returned and exception describes the reason for the failure.

The format of the AverageImages method is:

      Image *AverageImages(Image *image,ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image sequence.

##### exception

return any errors or warnings in this structure.

## GetImageChannelMean

GetImageChannelMean() returns the mean and standard deviation of one or more image channels.

The format of the GetImageChannelMean method is:

      MagickBooleanType GetImageChannelMean(const Image *image,
        const ChannelType channel,double *mean,double *standard_deviation,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### channel

the channel.

##### mean

the average value in the channel.

##### standard_deviation

the standard deviation of the channel.

##### exception

return any errors or warnings in this structure.

## GetImageChannelKurtosis

GetImageChannelKurtosis() returns the kurtosis and skewness of one or more image channels.

The format of the GetImageChannelKurtosis method is:

      MagickBooleanType GetImageChannelKurtosis(const Image *image,
        const ChannelType channel,double *kurtosis,double *skewness,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### channel

the channel.

##### kurtosis

the kurtosis of the channel.

##### skewness

the skewness of the channel.

##### exception

return any errors or warnings in this structure.

## GetImageChannelRange

GetImageChannelRange() returns the range of one or more image channels.

The format of the GetImageChannelRange method is:

      MagickBooleanType GetImageChannelRange(const Image *image,
        const ChannelType channel,double *minima,double *maxima,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### channel

the channel.

##### minima

the minimum value in the channel.

##### maxima

the maximum value in the channel.

##### exception

return any errors or warnings in this structure.

## GetImageChannelStatistics

GetImageChannelStatistics() returns statistics for each channel in the image. The statistics include the channel depth, its minima, maxima, mean, standard deviation, kurtosis and skewness. You can access the red channel mean, for example, like this:

      channel_statistics=GetImageChannelStatistics(image,excepton);
      red_mean=channel_statistics[RedChannel].mean;

Use MagickRelinquishMemory() to free the statistics buffer.

The format of the GetImageChannelStatistics method is:

      ChannelStatistics *GetImageChannelStatistics(const Image *image,
        ExceptionInfo *exception)

A description of each parameter follows:

##### image

the image.

##### exception

return any errors or warnings in this structure.

Discourse Server • Studio